For the complete documentation index, see llms.txt. This page is also available as Markdown.

Transaction

Transaction submission and retrieval

Submit transaction (POST)

post
/api/tx/submit

Submit a signed transaction to the network

Body
string · binaryOptional

Packed transaction (raw bytes or Base58 encoded)

Responses
200

Submission result

application/json
errorstringOptional
txidstringOptional
post/api/tx/submit
POST /api/tx/submit HTTP/1.1
Host: nodes.amadeus.bot
Content-Type: application/octet-stream
Accept: */*
Content-Length: 8

"binary"
200

Submission result

{
  "error": "text",
  "txid": "text"
}

Submit transaction (GET)

get
/api/tx/submit/{tx_packed}

Submit a signed transaction using GET method

Path parameters
tx_packedstringRequired

Packed transaction (Base58 encoded)

Responses
200

Submission result

application/json
objectOptional
get/api/tx/submit/{tx_packed}
GET /api/tx/submit/{tx_packed} HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200

Submission result

{}

Submit and wait for confirmation (POST)

post
/api/tx/submit_and_wait

Submit a transaction and wait for it to be included in a block

Body
string · binaryOptional

Packed transaction (raw bytes or Base58 encoded)

Responses
200

Submission and confirmation result

application/json
objectOptional
post/api/tx/submit_and_wait
POST /api/tx/submit_and_wait HTTP/1.1
Host: nodes.amadeus.bot
Content-Type: application/octet-stream
Accept: */*
Content-Length: 8

"binary"
200

Submission and confirmation result

{}

Submit and wait for confirmation (GET)

get
/api/tx/submit_and_wait/{tx_packed}

Submit a transaction and wait for confirmation using GET method

Path parameters
tx_packedstringRequired

Packed transaction (Base58 encoded)

Responses
200

Submission and confirmation result

application/json
objectOptional
get/api/tx/submit_and_wait/{tx_packed}
GET /api/tx/submit_and_wait/{tx_packed} HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200

Submission and confirmation result

{}

Last updated